<?php
namespace Factory;

use Teknisa\Model\Geral\Entities\OperadorAcesso as OperadorAcessoEntity;
use Util\InstanceProvider;
use Teknisa\Libs\Util\NewCode;

class OperadorAcessoMongo {

    /**
     * @param OperadorAcessoEntity $operadorAcessoParameters
     * @param $productId
     * @param $fingerprint
     * @param $userId
     * @param $orgId
     * @param $dateNow
     * @param $token
     * @param $tokenLifeTime
     * @param $keepConnected
     * @param $connection
     * @return OperadorAcessoEntity
     */

    public function save($operadorAcessoParameters = array(), $productId, $fingerprint, $userId, $orgId,
                         $dateNow, $token, $tokenLifeTime, $keepConnected)
    {
        if(empty($operadorAcessoParameters)) {
            $operadorAcessoParameters = array();
            $operadorAcessoParameters['dtInclusao']=$dateNow;
            $operadorAcessoParameters['nrOrgInclusao']=$orgId;
            $operadorAcessoParameters['cdOperInclusao']=$userId;
        }

        $operadorAcessoParameters['nrProdutoId']=intval($productId);
        $operadorAcessoParameters['cdOperador']=$userId;
        $operadorAcessoParameters['dsChaveUltAcesso']=$fingerprint;
        $operadorAcessoParameters['token']=$token;
        $operadorAcessoParameters['nrtempovidatoken']=$tokenLifeTime;
        $operadorAcessoParameters['idmanterconectado']=$keepConnected;

        $operadorAcessoParameters['nrOrg']=$orgId;
        $operadorAcessoParameters['idAtivo']="S";
        $operadorAcessoParameters['dtUltAtu']=$dateNow;
        $operadorAcessoParameters['nrOrgUltAtu']=$orgId;
        $operadorAcessoParameters['cdOperUltAtu']=$userId;

        return $operadorAcessoParameters;
    }
}
